Bug 988691 - [fork][origin_runtime_192]Failed to add the 25th user variables for app
[fork][origin_runtime_192]Failed to add the 25th user variables for app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 03:01 EDT by chunchen
Modified: 2016-09-29 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:56:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2013-07-26 03:01:05 EDT
Description of problem:
When adding 25th user variables for app,it will be failed with error like following:
CLIENT_ERROR: User Variables maximum of 25 exceeded

Version-Release number of selected component (if applicable):
fork_ami_origin_runtime_192_722

How reproducible:
always

Steps to Reproduce:
1. Create an app
rhc app create cpl00 perl-5.10 --no-git
2. SSH into the instance
3. Add 24 user variables for this app
oo-user-var-add --with-app-uuid 419975538831770230194176 --with-container-uuid 419975538831770230194176  ccy1 ccy2 ccy3 ccy4 ccy5 ccy6 ccy7 ccy8 ccy9 ccy10 ccy11 ccy12 ccy13 ccy14 ccy15 ccy16 ccy17 ccy18 ccy19 ccy20  ccy21 ccy22 ccy23 ccy24
4. Check the number of user variables
oo-user-var-list --with-app-uuid 419975538831770230194176 --with-container-uuid 419975538831770230194176 | wc -l
5. Add the 25th user variable
oo-user-var-add --with-app-uuid 419975538831770230194176 --with-container-uuid 419975538831770230194176 ccy25

Actual results:
At step 4: 24
At step 5: CLIENT_ERROR: User Variables maximum of 25 exceeded

Expected results:
Adding 25 user variables should be successfully

Additional info:
Comment 1 Jhon Honce 2013-07-26 14:16:41 EDT
Updated origin_runtime_192 is available
Comment 2 chunchen 2013-07-28 21:54:58 EDT
It's fixed, verified on fork_ami_origin_runtime_192_727.

Note You need to log in before you can comment on or make changes to this bug.